# Generated by Django 3.0.3 on 2020-04-29 16:48

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BoxHistory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ega_name', models.CharField(max_length=100)),
                ('user', models.EmailField(max_length=70)),
                ('account_opened_date', models.DateTimeField()),
                ('password_changed_date', models.DateTimeField()),
                ('comments', models.TextField()),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
            ],
        ),
        migrations.CreateModel(
            name='DownloadBoxes',
            fields=[
                ('box', models.PositiveIntegerField(primary_key=True, serialize=False)),
                ('account_type', models.CharField(max_length=20)),
                ('re_distribution', models.BooleanField(default=False)),
                ('tempory_col', models.CharField(max_length=60)),
                ('user', models.EmailField(max_length=70)),
                ('account_opened_date', models.DateTimeField()),
                ('password_changed_date', models.DateTimeField()),
                ('expired', models.BooleanField(default=False)),
                ('comments', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='SubmissionAccounts',
            fields=[
                ('ega_box_number', models.PositiveIntegerField(primary_key=True, serialize=False, unique=True)),
                ('account_accession', models.CharField(max_length=14, unique=True)),
                ('emails', models.CharField(max_length=300)),
                ('submission_type', models.CharField(blank=True, max_length=60, null=True)),
                ('country', models.CharField(max_length=100)),
                ('region', models.CharField(max_length=100)),
                ('institute_name', models.CharField(max_length=100)),
                ('mapi', models.CharField(blank=True, max_length=10, null=True)),
                ('affiliation_project', models.CharField(blank=True, max_length=50, null=True)),
                ('center_name', models.CharField(max_length=80)),
                ('password', models.CharField(max_length=80)),
                ('comments', models.TextField(blank=True, null=True)),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
            ],
        ),
        migrations.CreateModel(
            name='SubmissionBoxes',
            fields=[
                ('ega_box_number', models.PositiveIntegerField(primary_key=True, serialize=False, unique=True)),
                ('account_type', models.CharField(blank=True, max_length=30, null=True)),
                ('temporary_column', models.CharField(blank=True, max_length=30, null=True)),
                ('account_opened_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('password_changed_date', models.DateTimeField(blank=True, null=True)),
                ('rt_ticket', models.CharField(max_length=30, unique=True)),
                ('emails', models.CharField(max_length=300)),
                ('comments', models.TextField(blank=True, null=True)),
                ('received_dta', models.BooleanField(default=False)),
                ('sent_dta', models.BooleanField(default=False)),
                ('days_passed_since_created_date', models.PositiveIntegerField(blank=True, null=True)),
            ],
            options={
                'db_table': 'submissionboxes',
            },
        ),
        migrations.CreateModel(
            name='AccountStableIDs',
            fields=[
                ('submission_account', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='accounts.SubmissionAccounts')),
                ('ega_box_text', models.CharField(max_length=80, unique=True)),
                ('account_accession', models.CharField(max_length=14, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(max_length=100)),
                ('submissionboxes', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='users', to='accounts.SubmissionBoxes')),
            ],
            options={
                'db_table': 'user',
            },
        ),
        migrations.AddField(
            model_name='submissionaccounts',
            name='submission_box',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.SubmissionBoxes'),
        ),
    ]
